package com.zcloud.modules.custormerInfo.service;
 
import com.zcloud.common.utils.PageUtils;
import com.zcloud.modules.custormerInfo.entity.SysDeveloperLogEntity;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;
import java.util.Map;
 
/**
 * @Author lizenan
 * @Desc 系统日志(SysDeveloperLog)表服务接口
 * @Date 2024-04-11 11:53:29
 */
public interface SysDeveloperLogService extends IService<SysDeveloperLogEntity> {
 
    SysDeveloperLogEntity queryByFlexibleParams(String paramName, Object paramValue);

	List<SysDeveloperLogEntity> queryListByFlexibleParams(String paramName, Object paramValue);
    /**
     * 分页查询
     */
    PageUtils listPage(Map<String, Object> params);
 
    /**
     * 通过主键删除数据
     */
    void delete(String id,String userId);

    List<String> listYear();
}
